Bug 800110 - trytond should depend on python-polib
trytond should depend on python-polib
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: trytond (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 13:51 EST by Jos Vos
Modified: 2012-03-16 17:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: trytond-2.2.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-16 17:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2012-03-05 13:51:43 EST
Description of problem:
The trytond daemon imports the Python polib module, so trytond should require python-polib.

Version-Release number of selected component (if applicable):
trytond-2.2.1-2.f17.noarch

How reproducible:
Start trytond without python-polib installed and it exits immediately with a failure when trying to import polib.

Additional info:
I actually have rebuilt all Tryton F17 packages on RHEL6 and tested them there, but that shouldn't make a difference for the above requirement, as python-polib is also a separate package in Fedora (in RHEL6 it's in EPEL).
Comment 1 Fedora Update System 2012-03-05 17:31:08 EST
trytond-2.2.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/trytond-2.2.1-3.fc17
Comment 2 Fedora Update System 2012-03-07 02:23:31 EST
Package trytond-2.2.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing trytond-2.2.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3216/trytond-2.2.1-3.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-03-16 17:16:00 EDT
trytond-2.2.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.